Bug 438865 - SELinux is preventing /usr/sbin/ntpd (ntpd_t) "read write" access to socket:[42433541] (unconfined_t).
SELinux is preventing /usr/sbin/ntpd (ntpd_t) "read write" access to socket:[...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.1
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 13:28 EDT by Kuang-Yu Liu
Modified: 2012-01-05 14:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kuang-Yu Liu 2008-03-25 13:28:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
SELinux is preventing /usr/sbin/ntpd (ntpd_t) "read write" access to socket:[42433541] (unconfined_t).

Raw Audit Messages :
avc: denied { read, write } for comm="ntpd" dev=sockfs egid=0 euid=0 exe="/usr/sbin/ntpd" exit=0 fsgid=0 fsuid=0 gid=0 items=0 path="socket:[42433541]" pid=29279 scontext=system_u:system_r:ntpd_t:s0 sgid=0 subj=system_u:system_r:ntpd_t:s0 suid=0 tclass=unix_stream_socket tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=0 

Version-Release number of selected component (if applicable):
kernel-2.6.18-53.1.14.el5xen selinux-policy-2.4.6-106.el5_1.3 ntp-4.2.2p1-7.el5 [application]

How reproducible:
Always


Steps to Reproduce:
1. System -> Administration -> Day & Time
2. Choose NTP Sub-panel
3. Enable NTP
4. OK

Actual Results:
SELinux AVC Denial

Expected Results:


Additional info:
Comment 1 Daniel Walsh 2008-03-25 16:59:32 EDT
I believe this is fixed by the U2 Policy.

selinux-policy-2.4.6-126.el5

You can download a test copy at 

http://people.redhat.com/dwalsh/SELinux/RHEL5
Comment 7 errata-xmlrpc 2008-05-21 12:43:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html

Note You need to log in before you can comment on or make changes to this bug.